Ruby: rb_thread_sched_item Struct Reference

Ruby 4.0.6p0 (2026-07-14 revision 03b6d3f8898a28604fe6cb00eae3226b821168f4)

Data Fields
rb_thread_sched_item Struct Reference

## Data Fields
struct { |
struct ccan_list_node ubf |
struct ccan_list_node readyq |
bool is_ready |
struct ccan_list_node timeslice_threads |
struct ccan_list_node running_threads |
struct ccan_list_node zombie_threads |
} | node
struct rb_thread_sched_waiting | waiting_reason
uint32_t | event_serial
bool | finished
bool | malloc_stack
void * | context_stack
struct coroutine_context * | context
void * | vm_stack

## Detailed Description

Definition at line 15 of file thread_none.h.

## Field Documentation

## ◆ context

struct coroutine_context* rb_thread_sched_item::context

Definition at line 81 of file thread_pthread.h.

## ◆ context_stack

void* rb_thread_sched_item::context_stack

Definition at line 80 of file thread_pthread.h.

## ◆ event_serial

uint32_t rb_thread_sched_item::event_serial

Definition at line 76 of file thread_pthread.h.

## ◆ finished

bool rb_thread_sched_item::finished

Definition at line 78 of file thread_pthread.h.

## ◆ is_ready

bool rb_thread_sched_item::is_ready

Definition at line 61 of file thread_pthread.h.

## ◆ malloc_stack

bool rb_thread_sched_item::malloc_stack

Definition at line 79 of file thread_pthread.h.

## ◆ readyq

struct ccan_list_node rb_thread_sched_item::readyq

Definition at line 58 of file thread_pthread.h.

## ◆ running_threads

struct ccan_list_node rb_thread_sched_item::running_threads

Definition at line 69 of file thread_pthread.h.

## ◆ timeslice_threads

struct ccan_list_node rb_thread_sched_item::timeslice_threads

Definition at line 65 of file thread_pthread.h.

## ◆ ubf

struct ccan_list_node rb_thread_sched_item::ubf

Definition at line 54 of file thread_pthread.h.

## ◆ vm_stack

void* rb_thread_sched_item::vm_stack

Definition at line 30 of file thread_win32.h.

## ◆ waiting_reason

struct rb_thread_sched_waiting rb_thread_sched_item::waiting_reason

Definition at line 75 of file thread_pthread.h.

## ◆ zombie_threads

struct ccan_list_node rb_thread_sched_item::zombie_threads

Definition at line 72 of file thread_pthread.h.

The documentation for this struct was generated from the following files:

- thread_none.h
- thread_pthread.h
- thread_win32.h